const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const calendars = sequelize.define(
    'calendars',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

date: {
        type: DataTypes.DATE,

      },

is_weekend: {
        type: DataTypes.BOOLEAN,

        allowNull: false,
        defaultValue: false,

      },

is_holiday: {
        type: DataTypes.BOOLEAN,

        allowNull: false,
        defaultValue: false,

      },

description: {
        type: DataTypes.TEXT,

      },

flag: {
        type: DataTypes.TEXT,

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  calendars.associate = (db) => {

    db.calendars.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.calendars.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };

  return calendars;
};

